Subject: Re: therm_pm72 units, interface

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 Aug 2013 06:47:35 +1000

On Fri, 2013-08-02 at 16:47 +0200, Michel Dänzer wrote:
> On Fre, 2013-08-02 at 22:51 +1000, Benjamin Herrenschmidt wrote:
> > On Fri, 2013-08-02 at 12:03 +0200, Michel Dänzer wrote:
> > > Could a similar change fix the same problem on desktop G5s? The same
> > > values for slots_param in windfarm_pm112.c don't help, unfortunately.
> > 
> > You have a 11,2 and a noisy fan ? Odd, mine(s) don't.... I can dbl check
> > the values vs. what Darwin uses tomorrow...
> 
> Yes, see /proc/cpuinfo below.
> 
> With older kernels (currently still using Debian's 3.2.0-4-powerpc64
> because of this problem), the fans go basically silent as soon as the
> windfarm modules are loaded. With current kernels, the fans stay at the
> level OF sets them to, until after a while they go into 'airplane mode'.
> 
> One thing I notice now is that the lines like
> 
> [    9.539173] windfarm: CPUs control loops started.
> [   16.209962] windfarm: Backside control loop started.
> [   16.262274] windfarm: Slots control loop started.
> [   16.371642] windfarm: Drive bay control loop started.
> 
> no longer appear in dmesg with current kernels. Should they?

Yes. Do you have all the windfarm modules loaded ? What about
i2c-powermac ? (It's typical that the latter is missed, I think it
doesn't auto-load, which we never fixed, we used to request distros to
just built it in)

Ben.

> 
> processor	: 0
> cpu		: PPC970MP, altivec supported
> clock		: 2500.000000MHz
> revision	: 1.1 (pvr 0044 0101)
> 
> processor	: 1
> cpu		: PPC970MP, altivec supported
> clock		: 2500.000000MHz
> revision	: 1.1 (pvr 0044 0101)
> 
> processor	: 2
> cpu		: PPC970MP, altivec supported
> clock		: 2500.000000MHz
> revision	: 1.1 (pvr 0044 0101)
> 
> processor	: 3
> cpu		: PPC970MP, altivec supported
> clock		: 2500.000000MHz
> revision	: 1.1 (pvr 0044 0101)
> 
> timebase	: 33333333
> platform	: PowerMac
> model		: PowerMac11,2
> machine		: PowerMac11,2
> motherboard	: PowerMac11,2 MacRISC4 Power Macintosh 
> detected as	: 337 (PowerMac G5 Dual Core)
> pmac flags	: 00000000
> L2 cache	: 1024K unified
> pmac-generation	: NewWorld
> 
>